/*
 * UserID.Java
 *
 * Copyright (c) 1999, 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the ANTS distribution.
 * 
 * Permission to use, copy, modify, distribute, and sell this
 * software and its documentation for any purpose is hereby granted
 * without fee, provided that (i) the above copyright notice(s)
 * appear in all copies and (ii) that both the copyright notice(s)
 * and this permission notice appear in supporting documentation,
 * and (iii) that the name(s) of the copyright holders not be used
 * in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  The
 * copyright holders make no representations about the suitability
 * of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 * 
 * The maintainers of this code ask, but do not require, that
 * improvements and bug fixes be emailed to ants-dist@cs.utah.edu
 *         
 */
package ants.core;

import edu.utah.janosvm.kit.comm.commspace.CommSpaceElement;

/**
 * Mixed into Protocol to separate based on User. At least that's
 * the idea.  It is not really used currently.
 * <p>
 * XXX RENAME THIS.  Its not an ID like a MID or a groupID...
 * <p>
 * XXX NOT CURRENTLY USED. (Oops.)
 *
 * @see CapsuleClass
 * @see MIDIDResponseCapsule
 * @author <a href="mailto:janos-discuss@flux.cs.utah.edu">Utah Janos Team</a>
 */
final class UserID
{
    private final String name;
    
    UserID(CommSpaceElement cse)
    {
	this.name = new String(cse.getString());
    }
    
    UserID(String name)
    {
	this.name = name;
    }
    
    public int length()
    {
	return Xdr.STRING(name);
    }
    
    CommSpaceElement toCommSpaceElement()
    {
	return new CommSpaceElement(this.name);
    }
    
    public void xdrPut(Xdr xdr)
    {
	xdr.PUT(name);
    }
    
    /**
     * XXX just make this a constructor.
     */
    public static UserID xdrGet(Xdr xdr)
    {
	return new UserID(xdr.STRING());
    }
}
